package OnlineShop.domain;

import java.util.ArrayList;

public class Warenkorb {
	private ArrayList<Produkt> produkte;
	private int anzahlProdkute;

	Warenkorb() {
		produkte = new ArrayList<>();
	}

	public boolean addProdukt(Produkt neueProdukt) {
		
		produkte.add(neueProdukt);
		anzahlProdkute++;
		return true;
	}

	public boolean loescheprodukt(String name) {
		Produkt produktZuLoeschen = findeProduktImWarenkorb(name);
		if (produktZuLoeschen == null)
			return false;
		
		anzahlProdkute--;                           
		return true;
	}
	
	private Produkt findeProduktImWarenkorb(String name) {
		
		for (Produkt p : produkte)
			if (p.getName().equalsIgnoreCase(name))
				return p;
		
		return null;
	}
	
	public ArrayList<String> zeigeProdukteImWarenKorb() {
		ArrayList<String> allProdukte = new ArrayList<>();
		for (Produkt p : produkte)
			allProdukte.add(anzahlProdkute + ".Produkt: " + p.print()  + "\n");

		return allProdukte;
	}

	public int getAnzahlProdkute() {
		return anzahlProdkute;
	}
	
	
}
