package OnlineShop.UI;
import java.io.FileNotFoundException;
import java.util.Scanner;

import OnlineShop.domain.Kaufhalle;
import OnlineShop.domain.ExceptionsKlassen.KundeNichtGefundenException;
import OnlineShop.domain.ExceptionsKlassen.ProduktNichtGefundenException;


public class TUI {
	
	private Kaufhalle kaufhalle;
	
	public TUI() throws FileNotFoundException, ProduktNichtGefundenException, KundeNichtGefundenException {
		this.kaufhalle = new Kaufhalle();
		startProgramm();
	}
	
	
	
	private void startProgramm() throws FileNotFoundException, ProduktNichtGefundenException, KundeNichtGefundenException {
		Scanner eingabe = new Scanner(System.in);
		String produktname;
		String anschrift;
		System.out.println();
		System.out.println("<< Willkommen in meinem Online Shop >>");
		System.out.println();
		if (kaufhalle.produkteLaden()) {
			System.out.println("Meine aktuelle Produkte: ");
			for (String p : kaufhalle.zeigeProdukte())
				System.out.println(p);
		}
		
	
		System.out.print(">");
		produktname = eingabe.nextLine();
		kaufhalle.addProduktZuWarenkorb(produktname);
		
		
	}
	
}
